import request from '@/utils/request'

// 商品概述
export function apiGetBasic(params: any) {
    return request.get({ url: '/workbench/get_basic', params })
}

// 商品趋势
export function apiGetTrend(params: any) {
    return request.get({ url: '/workbench/get_trend', params })
}

// 商品排行
export function apiGetProductRanking(params: any) {
    return request.get({ url: '/workbench/get_product_ranking', params })
}

// 用户概况
export function apiGetUserBasic(params: any) {
    return request.get({ url: '/workbench/get_user_basic', params })
}

// 用户趋势
export function apiGetUserTrend(params: any) {
    return request.get({ url: '/workbench/get_user_trend', params })
}

// 交易趋势
export function apiGetBottomTrade(params: any) {
    return request.get({ url: '/workbench/bottom_trade', params })
}

// 当日订单金额
export function apiGetTopTrade(params: any) {
    return request.get({ url: '/workbench/top_trade', params })
}
// 实时订单商品合计统计
export function product_order(params: any) {
    return request.get({ url: '/workbench/product_order', params })
}
// 实时订单商品合计统计
export function product_month_order(params: any) {
    return request.get({ url: '/workbench/product_month_order', params })
}
// 实时订单商品合计统计
export function store_order_cart_info_curve(params: any) {
    return request.get({ url: '/store_order_cart_info/StoreOrderCartInfo/curve', params })
}
